Subject: bug#21985: 25.0.50; PATCH] Extend the test suite for json.el

From: Dmitry Gutov <[email-masked]>
Date: Mon, 23 Nov 2015 01:15:07 +0200

On 11/22/2015 11:30 PM, Simen Heggestøyl wrote:

> I was unsure how to best test `json-encode' without duplicating what
> the other tests (`test-json-encode-string',
> `test-json-encode-keyword', and so on) already do test.

IMO, there's no too much need to exhaustively test `json-encode', aside 
from one encode test (with any value), one decode test, and maybe one 
try-to-encode-something-unusual-and-end-up-with-an-error test.

Testing all contents of json-readtable would seem excessive to me. But 
hey, if we miscalculate, we can add more tests as we fix regressions, later.